import { Constructor } from './utils'

export class Registry {
  registeredClasses: Map<string, Constructor> = new Map()

  add(ctor: Constructor, key: string = ctor.name) {
    this.registeredClasses.set(key, ctor)
  }

  get(name: string) {
    return this.registeredClasses.get(name)
  }
}

export const GlobalRegistry = new Registry()

